%     
function dy = F_oe(t, Y)
global mu R3 m E0;

a=Y(1);
e=Y(2);
I=Y(3);
Omega=Y(4);
omega=Y(5);
M=Y(6);

FT=100; % tau
FW=50; % C
FS=25; % r

ax=FS/m;
ay=FT/m;
az=FW/m;




b=a*sqrt(1-e^2);
p=a*(1-e^2);
n=sqrt(mu/a^3);
h=sqrt(mu*p);

E=fsolve(@(E)(M-E+e*sin(E)),E0);
E0=E;
f=2*atan(sqrt((1+e)/(1-e))*tan(E/2));

r=p/(1+e*cos(f));
r=a*(1-e*cos(E));
theta=omega+f;

da=2*a^2/h*(e*sin(f)*ax+p*ay/r);
de=1/h*(p*sin(f)*ax+((p+r)*cos(f)+r*e)*ay);
dI=r*az*cos(theta)/h;
dOmega=r*az*sin(theta)/h/sin(I);
domega=(-p*cos(f)*ax+(p+r)*sin(f)*ay)/h/e-(r*az*sin(theta)*cos(I))/h/sin(I);
dM=n+b*((p*cos(f)-2*r*e)*ax-(p+r)*sin(f)*ay)/a/h/e;

[t r]
dy=[da;de;dI;dOmega;domega;dM];